
Figure - Bug #114224
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113425 (New): V4.0专项--BSP专项--压测

【BSP】【EVT1】【专项】【压测】【偶现】通过蓝牙设备后台播放音乐，进入屏保状态时，蓝牙停止播放
2022-11-30 17:15 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2022-11-30

Priority: Normal Due date: 2022-12-22

Assignee: CD MM陈海波 % Done: 100%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: 01.00.X101_0051.X101

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-12-23

Test Type: ST Root cause: 音乐停止但听不到消息声音, 主要播放的消息源为notificaiton的缓存文件.��这个缓存文件在生成时出错, 缺少meta信息, 不是完整的多媒体文件, 所以播放报错. ����当前复现的log看不出缓存文件在生成时出错原因. 但针对缓存文件无法播放消息音, 当前已经做了容错处理, 以此解决此问题.

Description

【前提条件】

设备刷机和恢复出厂后，第一次开机

【测试步骤】

1、push一个mp3文件在设备

2、连接BT耳机或影响

3、播放音乐、设置为单曲循环模式

4、上划返回桌面让音乐在后台运行

5、等待20s自动进入屏保模式

【预期结果】

5. 音乐正常播放

【实际结果】

5. 音乐停止播放

只有第一次后台music kill清楚后第一次容易出现

之后再进行测试复现率很低

History

#1 - 2022-12-05 19:02 - CD TPM-王祥林

- Category changed from BSP to AUDIO-FW

- Assignee changed from CD BSP-唐金泽 to CD MM陈海波

#2 - 2022-12-08 11:24 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_V5.0_20221230

#3 - 2022-12-14 17:42 - CDTS-TEST 周婷

- Due date set to 2022-12-22

#4 - 2022-12-15 20:03 - CD MM陈海波

从提供的log进行分析, 未发现有任何错误的MM信息. 

当前怀疑下边的log相关, 但还未有任何依据, 还需要进一步进行复现去定位问题.
1-29 03:06:38.891  2428  3281 D Avrcp_ext: AudioManager Player: AudioPlaybackConfiguration piid:823 deviceId:74 type:android.media.MediaPlayer

u/pid:10095/6832 state:started attr:AudioAttributes: usage=USAGE_MEDIA content=CONTENT_TYPE_MUSIC flags=0x800 tags= bundle=null sessionId:0

11-29 03:06:38.892  2428  3281 D Avrcp_ext: AudioManager Player: AudioPlaybackConfiguration piid:839 deviceId:0 type:android.media.MediaPlayer

u/pid:10095/6832 state:idle attr:AudioAttributes: usage=USAGE_MEDIA content=CONTENT_TYPE_MUSIC flags=0x800 tags= bundle=null sessionId:809

11-29 03:06:38.939  2443  2443 V NotificationMediaManager: DEBUG_MEDIA: found mediastyle controller matching 0|com.android.music|1|null|10095

11-29 03:06:38.940  2443  2443 V NotificationMediaManager: DEBUG_MEDIA: updating album art for notification 0|com.android.music|1|null|10095

metadata=android.media.MediaMetadata@8502c778 metaDataChanged=false state=0

11-29 03:06:38.959  1129  2524 I AudioService.PlaybackActivityMonitor: ducking player piid:823 uid/pid:10095/6832 skip ramp:false

11-29 03:06:39.299  1129  1682 I am_uid_idle: 10095

//这儿service stop了

11-29 03:06:39.299  1129  1682 I am_stop_idle_service: [10095,com.android.music/.MediaPlaybackService]

11-29 03:06:39.310  1129  1129 I notification_canceled: [0|com.android.music|1|null|10095,8,68932,67679,0,-1,-1,NULL]

谢谢!

#5 - 2022-12-16 10:58 - CD MM陈海波

- File local.prop added

Hi,刘强

从提供log进行分析, 没发现任何异常的log信息. 

而且提供的log比较杂, 不好寻找问题发生时间点, 

能否根据下边的信息, 重新测试, 并提供下对应的log信息.

使用usedebug测试, 并提供对应的信息:

下载附件的local.prop, 将执行以下命令:

adb root

adb remount

adb push local.prop /data/

adb chmod 644 /data/local.prop 

adb reboot

设备重启后进行测试, 测试前请执行dumpsys命令: 

adb shell dumpsys activity -p com.android.music services > music_before.txt

adb shell dumpsys audio > audio_before.txt

adb shell dumpsys media.audio_flinger > media.audio_flinger_before.txt

adb shell dumpsys media.audio_policy > media.audio_policy_before.txt

但问题复现后, 请执行dumpsys命令: 

adb shell dumpsys activity -p com.android.music services > music_after.txt

adb shell dumpsys audio > audio_after.txt

adb shell dumpsys media.audio_flinger > media.audio_flinger_after.txt

adb shell dumpsys media.audio_policy > media.audio_policy_after.txt

adb shell date > date_occured.txt

问题复现后, 麻烦提供以下信息: 

1. 复现的实现点.

2. logcat(使用这个命令抓取: adb logcat -b all > logcat.txt)
3. dumpsys获取到的文件.

多谢!

#6 - 2022-12-16 10:59 - CD MM陈海波

- Status changed from New to NEED_INFO

- Assignee changed from CD MM陈海波 to 移动测试一组_CDTS 刘强

#7 - 2022-12-16 17:04 - CD MM陈海波

- File deleted (local.prop)

#8 - 2022-12-16 17:05 - CD MM陈海波

- File local.prop added

#9 - 2022-12-19 15:29 - 移动测试一组_CDTS 刘强

- File music.zip added

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from 移动测试一组_CDTS 刘强 to CD MM陈海波

按照备注复现了一次自动停止，但是停止时候这次没有进屏保模式，播放一会之后就自动停止了，重新进入后播放器后，音乐进度在1分13s

#10 - 2022-12-22 16:02 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

171688 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM:Audio: fix notification fails to play.When notification come, music will stop playing.However, the cache for notification has something wrong,and it fail to

play. It causes no sound bevarior.TC-RID: 0301-0900117IssueID: TS-R-DF-114224Change-Id: Iff3cff85fde324d962b68b434ec6cb22d637b1d4

#11 - 2022-12-22 16:29 - CD MM陈海波

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 0 to 100

- Fixed Version set to 2022-12-23

- Root cause set to 音乐停止但听不到消息声音, 主要播放的消息源为notificaiton的缓存文件.

这个缓存文件在生成时出错, 缺少meta信息, 不是完整的多媒体文件, 所以播放报错. 

当前复现的log看不出缓存文件在生成时出错原因. 但针对缓存文件无法播放消息音, 当前已经做了容错处理, 以此解决此问题.

通过测试提供的log和个人测试进行分析,

音乐会停止播放, 主要是由于进入屏保状态, Systemui发送消息, 并进行Audio focus焦点.
一旦申请Audio focus焦点, 音乐就停止.

audio_after.txt

播放音乐: 

12-14 03:00:16:401 requestAudioFocus() from uid/pid 10096/4441 AA=USAGE_MEDIA/CONTENT_TYPE_MUSIC clientId=

android.media.AudioManager@542f037com.android.music.MediaPlaybackService$4@43b39a4 callingPack=com.android.music req=1 flags=0x0 sdk=31

12-14 03:01:31:378 abandonAudioFocus() from uid/pid 10096/4441 clientId=android.media.AudioManager@542f037com.android.music.MediaPlaybackService

$4@43b39a4

systemui 播放消息, 获取播放焦点.

12-14 03:01:31:490 requestAudioFocus() from uid/pid 10088/1950 AA=USAGE_NOTIFICATION/CONTENT_TYPE_SONIFICATION

clientId=android.media.AudioManager@4c1b35e callingPack=com.android.systemui req=3 flags=0x0 sdk=31

12-14 03:01:34:223 abandonAudioFocus() from uid/pid 10088/1950 clientId=android.media.AudioManager@4c1b35e

音乐停止但听不到消息声音, 主要播放的消息源为notificaiton的缓存文件.

这个缓存文件在生成时出错, 缺少meta信息, 不是完整的多媒体文件, 所以播放报错.

当前复现的log看不出缓存文件在生成时出错原因. 但针对缓存文件无法播放消息音, 当前已经做了容错处理, 以此解决此问题.

代码已经提交, 如下: 

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/171688

#12 - 2022-12-22 16:31 - CD MM陈海波

- Assignee changed from CD MM陈海波 to 移动测试一组_CDTS 刘强

#13 - 2022-12-22 16:36 - CD MM陈海波

补充下, 进入屏保是否需要播放消息, 还需要和设计确认. 

如果确认不需要此消息音, 因为导致原因不同, 到时重新提bug进行追踪.

多谢!

#14 - 2022-12-23 17:51 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFY_FAILED

- Assignee changed from 移动测试一组_CDTS 刘强 to CD MM陈海波

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212230238

验证结果：问题仍然复现

#15 - 2022-12-26 11:25 - CD MM陈海波

- Assignee changed from CD MM陈海波 to 移动测试一组_CDTS 刘强

Hi, 刘强,

能否帮忙这么测试下, 

1. 换个蓝牙耳机测试下, 问题是否复现.

2. 使用userdebug版本, 问题是否可以复现. 

   (我这儿使用userdebug版本, 问题好像是ok的)
多谢!

#16 - 2022-12-26 17:33 - 移动测试一组_CDTS 刘强

- Status changed from VERIFY_FAILED to VERIFIED

- Assignee changed from 移动测试一组_CDTS 刘强 to CD MM陈海波

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202212240332

测试蓝牙耳机：漫步者

进入屏保时设备蓝牙停止播放，但是能够听到通知音

#17 - 2022-12-27 09:49 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

此bug解决通知音不播放的问题，后续是否通知音是否该存在由以下bug进行跟踪：

https://share.thundersoft.com/redmine/issues/114835

Files

tlog_xxx_1129030705.tar.gz 3.22 MB 2022-11-30 移动测试一组_CDTS 刘强

local.prop 139 Bytes 2022-12-16 CD MM陈海波

music.zip 399 KB 2022-12-19 移动测试一组_CDTS 刘强
